## com.sun.jersey.server.wadl.generators
Class AbstractWadlGeneratorGrammarGenerator.Pair

    java.lang.Object
      com.sun.jersey.server.wadl.generators.AbstractWadlGeneratorGrammarGenerator.Pair

Enclosing class:
  AbstractWadlGeneratorGrammarGenerator<T>

    protected class AbstractWadlGeneratorGrammarGenerator.Pair

extends java.lang.Object

Field Summary
`AbstractWadlGeneratorGrammarGenerator.HasType` | `hasType`
`AbstractWadlGeneratorGrammarGenerator.WantsName` | `wantsName`

Constructor Summary
`AbstractWadlGeneratorGrammarGenerator.Pair(AbstractWadlGeneratorGrammarGenerator.HasType hasType, AbstractWadlGeneratorGrammarGenerator.WantsName wantsName)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hasType

    public AbstractWadlGeneratorGrammarGenerator.HasType hasType

### wantsName

    public AbstractWadlGeneratorGrammarGenerator.WantsName wantsName

Constructor Detail

### AbstractWadlGeneratorGrammarGenerator.Pair

    public AbstractWadlGeneratorGrammarGenerator.Pair(AbstractWadlGeneratorGrammarGenerator.HasType hasType,
                                                      AbstractWadlGeneratorGrammarGenerator.WantsName wantsName)

Copyright © 2017 Oracle Corporation. All Rights Reserved.